Skip to content

InventoryService⁠

Retrieve inventory records.

Operations⁠

getInventory⁠

POST

Retrieves the inventory.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

InventoryGlobalSequenceDatestring · dateoptional
InventoryGlobalSequenceintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/inventory/getInventory
POST /nexum/627/2022.01/inventory/getInventory HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "InventoryGlobalSequenceDate": "string",
  "InventoryGlobalSequence": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getInventorySelectFields⁠

POST

Retrieves the inventory with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

InventoryGlobalSequenceDatestring · dateoptional
InventoryGlobalSequenceintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/inventory/getInventorySelectFields
POST /nexum/627/2022.01/inventory/getInventorySelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "InventoryGlobalSequenceDate": "string",
  "InventoryGlobalSequence": 0,
  "SelectableFields": {
    "IncludeAllInventoryFields": true,
    "InventoryFields": {
      "AccountNumber": true,
      "ActualFeeAmount": true,
      "ActualSaleAmount": true,
      "Branch": true,
      "City": true,
      "Cost": true,
      "ExtraAddress": true,
      "FaceValue": true,
      "GlobalSequence": true,
      "GlobalSequenceDate": true,
      "Id": true,
      "IdType": true,
      "InStockDate": true,
      "LocationCode": true,
      "Name": true,
      "Price": true,
      "Quantity": true,
      "RecordChangeDate": true,
      "SaleRentalDate": true,
      "SbAcqAccount": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}